!******************************************************************************!
!                                                                              !
!    ctparameter25.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter25.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter25
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter25()
  if (dZbL_QED2_scheme .eq. 0) then
    dZbL_QED2 = (2d0*Ten234*coupl(nGC_1)**2d0 + Ten235*(2d0*coupl(nGC_38)**2d0 &
                 + coupl(nGC_54)*coupl(nGC_56)) + Ten236*(2d0*coupl(nGC_23)**  &
                2d0 + coupl(nGC_77)**2d0) - Ten237*coupl(nGC_55)**2d0 + 2d0*   &
                Ten238*coupl(nGC_1)**2d0 + Ten239*(2d0*coupl(nGC_38)**2d0 +    &
                coupl(nGC_54)*coupl(nGC_56)) + Ten240*(2d0*coupl(nGC_23)**2d0  &
                 + coupl(nGC_77)**2d0) + 2d0*Ten242*cMB*coupl(nGC_55)**2d0*rMB &
                 + 4d0*Ten243*coupl(nGC_1)**2d0*rMB*(-2d0*cMB + rMB) + Ten244* &
                rMB*(-8d0*cMB*coupl(nGC_34)*coupl(nGC_38) + cMB*coupl(nGC_54)**&
                2d0 + cMB*coupl(nGC_56)**2d0 + 2d0*coupl(nGC_34)**2d0*rMB + 2d0&
                *coupl(nGC_38)**2d0*rMB + 2d0*coupl(nGC_54)*coupl(nGC_56)*rMB  &
                ) + Ten245*rMB*(2d0*cMT*coupl(nGC_53)*coupl(nGC_77) + 2d0*coupl&
                (nGC_23)**2d0*rMB + coupl(nGC_53)**2d0*rMB + coupl(nGC_77)**2d0&
                *rMB) - 2d0*Ten246*coupl(nGC_55)**2d0*rMB**2d0 + 4d0*Ten247*   &
                coupl(nGC_1)**2d0*rMB**2d0 + 2d0*Ten248*rMB**2d0*(coupl(nGC_34 &
                )**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_54)*coupl(nGC_56)) +   &
                Ten249*rMB**2d0*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_53)**2d0 + &
                coupl(nGC_77)**2d0) - coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - &
                coupl(nGC_38)**2d0)/(16d0*pi**2d0)
  end if 
end subroutine set_ctparameter25
end module ctparameter25
