!******************************************************************************!
!                                                                              !
!    ctparameter70.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter70.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter70
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter70()
  dZZA_QED2 = (4d0*(-Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34) - Nc*cMB**2d0*coupl&
              (nGC_1)*coupl(nGC_38) - Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_35) - &
              Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_39) - Nc*cMD**2d0*coupl(nGC_1 &
              )*coupl(nGC_34) - Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_38) - Nc*cMS&
              **2d0*coupl(nGC_1)*coupl(nGC_34) - Nc*cMS**2d0*coupl(nGC_1)*coupl&
              (nGC_38) - Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_35) - Nc*cMT**2d0* &
              coupl(nGC_2)*coupl(nGC_39) - Nc*cMU**2d0*coupl(nGC_2)*coupl(     &
              nGC_35) - Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_39) - cME**2d0*coupl&
              (nGC_36)*coupl(nGC_4) - cME**2d0*coupl(nGC_4)*coupl(nGC_40) - cMM&
              **2d0*coupl(nGC_36)*coupl(nGC_4) - cMM**2d0*coupl(nGC_4)*coupl(  &
              nGC_40) - cMTA**2d0*coupl(nGC_36)*coupl(nGC_4) - cMTA**2d0*coupl(&
              nGC_4)*coupl(nGC_40) - 3d0*cMW**2d0*coupl(nGC_25)*coupl(nGC_3) - &
              cima*cMW**2d0*coupl(nGC_29))/cMZ**2d0 + 2d0*(-2d0*Nc*Ten115*cMU**&
              2d0*coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39)) - 2d0*Nc*Ten116*&
              cMC**2d0*coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39)) - 2d0*Nc*  &
              Ten117*cMT**2d0*coupl(nGC_2)*(coupl(nGC_35) + coupl(nGC_39)) -   &
              2d0*Nc*Ten118*cMD**2d0*coupl(nGC_1)*(coupl(nGC_34) + coupl(nGC_38&
              )) - 2d0*Nc*Ten119*cMS**2d0*coupl(nGC_1)*(coupl(nGC_34) + coupl( &
              nGC_38)) - 2d0*Nc*Ten120*cMB**2d0*coupl(nGC_1)*(coupl(nGC_34) +  &
              coupl(nGC_38)) + 4d0*Nc*Ten121*coupl(nGC_2)*(coupl(nGC_35) +     &
              coupl(nGC_39)) + 4d0*Nc*Ten122*coupl(nGC_2)*(coupl(nGC_35) +     &
              coupl(nGC_39)) + 4d0*Nc*Ten123*coupl(nGC_2)*(coupl(nGC_35) +     &
              coupl(nGC_39)) + 4d0*Nc*Ten124*coupl(nGC_1)*(coupl(nGC_34) +     &
              coupl(nGC_38)) + 4d0*Nc*Ten125*coupl(nGC_1)*(coupl(nGC_34) +     &
              coupl(nGC_38)) + 4d0*Nc*Ten126*coupl(nGC_1)*(coupl(nGC_34) +     &
              coupl(nGC_38)) + cima*Ten2*(3d0*coupl(nGC_29) - coupl(nGC_42)) - &
              2d0*Ten364*coupl(nGC_47)*coupl(nGC_51) + Ten367*(-coupl(nGC_24)* &
              coupl(nGC_4) + 17d0*coupl(nGC_25)*coupl(nGC_3) + 4d0*coupl(nGC_4 &
              )*coupl(nGC_40)) - 2d0*Ten374*cME**2d0*coupl(nGC_4)*(coupl(nGC_36&
              ) + coupl(nGC_40)) - 2d0*Ten375*cMM**2d0*coupl(nGC_4)*(coupl(    &
              nGC_36) + coupl(nGC_40)) - 2d0*Ten376*cMTA**2d0*coupl(nGC_4)*(   &
              coupl(nGC_36) + coupl(nGC_40)) + 4d0*Ten377*coupl(nGC_4)*(coupl( &
              nGC_36) + coupl(nGC_40)) + 4d0*Ten378*coupl(nGC_4)*(coupl(nGC_36 &
              ) + coupl(nGC_40)) + 4d0*Ten379*coupl(nGC_4)*(coupl(nGC_36) +    &
              coupl(nGC_40)))/cMZ**2d0)/(16d0*pi**2d0)
end subroutine set_ctparameter70
end module ctparameter70
